body {
    min-height: 75rem;
    padding-top: 4.5rem;

}


.btn-circle {
            width: 38px;
            height: 38px;
            border-radius: 19px;
            text-align: center;
            padding-left: 0;
            padding-right: 0;
            font-size: 16px;
            }
.bg-success-light{
    background-color: #C9DC80;
    }

.bg-success-middle{
    background-color: #C9DC80;
    }

.text-success-light{
    color: #A9EC19;
}

.text-success-card{
    color: #99ffbb;
}

.text-success-title{
    color: #a8d24f;
}

.font-22{
    font-size: 22px;
}

.box-shadow{
    box-shadow: 0px 0px 20px grey;
}

.card-shadow{
    box-shadow: 5px 5px 20px grey;
}

.rounded-xl{
    border-radius: 0.8rem;
}

.badge-violet{
    background-color: #7f5ae8;
    color: #faf3ff;
}

/*------------------------- simple cards --------------------------------------*/
.simple-card {
    /* Add shadows to create the "card" effect */

    min-width: 270px;
    margin-bottom: 10px;
    box-shadow: 0px 15px 15px -10px rgba(0,0,0,0.3);
    transition: 0.2s;
    color: rgba(255,255,255,.7);
    padding: 10px;
    padding-left: 20px;
    padding-right: 20px;



}

/* On mouse-over, add a deeper shadow */
.simple-card:hover {
    box-shadow: -0px 25px 25px -17px rgba(0,0,0,0.5);
    transform: translateY(-3px);
    color: rgba(255,255,255,.7);
    text-decoration: none;
}



.simple-card .icon {
    transition: 0.2s;
    color: rgba(255,255,255,.4);
}

.simple-card:hover .icon{
      transform: scale(0.8, 0.8);
}

.simple-card h4{
    color: #ffffff;
}

.ui-drop-hover
{
    border: 2px solid black !important;
}

.lessonCards {
    display: flex;
    flex-wrap: wrap;
    min-height: 100px;
    min-width: 100%;
}

.lessonCard {
    position: relative;
    border: 1px solid blue;
    width: 40px;
    height: 30px;
    font-size: xx-small;
    padding: 0px !important;
    margin: 5px;
}

td .lessonCard {
    margin: auto;
}

.lessonCard div{
    -webkit-box-shadow: 2px 7px 40px -8px rgba(0,0,0,0.75);
    -moz-box-shadow: 2px 7px 40px -8px rgba(0,0,0,0.75);
    box-shadow: 2px 7px 40px -8px rgba(0,0,0,0.75);
}

.lesson {
    position: absolute;
    left: 0;
    bottom: 0;
}

.teacher {
    position: absolute;
    bottom: 0;
    right: 0;
}

.lab {
    position: absolute;
    bottom: 0;
    right: 0;
}

.group {
    position: absolute;
    right: 0;
}

#tablePreview td{
    width: 40px;
    height: 30px;
}

.rotate {
    /* FF3.5+ */
    -moz-transform: rotate(-90.0deg);
    /* Opera 10.5 */
    -o-transform: rotate(-90.0deg);
    /* Saf3.1+, Chrome */
    -webkit-transform: rotate(-90.0deg);
    /* IE6,IE7 */
    filter: progid: DXImageTransform.Microsoft.BasicImage(rotation=0.083);
    /* IE8 */
    -ms-filter: "progid:DXImageTransform.Microsoft.BasicImage(rotation=0.083)";
    /* Standard */
    transform: rotate(-90.0deg);

    vertical-align: middle !important;
}

#tableFull, #tableFull th, #tableFull td {
    border: 1px solid black;
    padding: .25rem;
}

#tableFull {
    width: 100%;
}

.pagination > li > a
{
    background-color: white;
    color: #6c757d;
}

.pagination > li > a:focus,
.pagination > li > a:hover,
.pagination > li > span:focus,
.pagination > li > span:hover
{
    color: #6c757d;
    background-color: #eee;
    border-color: #ddd;
}

.pagination > .active > a
{
    color: white;
    background-color: #6c757d !Important;
    border: solid 1px #6c757d !Important;
}

.pagination > .active > a:hover
{
    background-color: #6c757d !Important;
    border: solid 1px #6c757d;
}
.DTFC_Cloned .odd {
    background-color: #f2f2f2 !important;
}

.DTFC_Cloned .even {
    background-color: #ffffff !important;
}

.DTFC_Cloned tfoot tr {
    background-color: #ffffff !important;
}


/*------------------------- adapting content with left side bar --------------------------------------*/

    .left-bar {
        position:fixed;
        top:6%;
        left:0%;
        overflow-y: scroll;
        height: 100%;
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
    }
    .left-bar::-webkit-scrollbar {
        width: 0 !important
    }

@media (min-width: 768px){
    .left-bar {
        width: 300px;
        margin-left: 7px;
        margin-right: 7px;
    }

    .with-left-bar{
        padding-left: 330px;
        padding-right: 16px;

    }


}
@media (max-width: 1024px){
    .chart-phone{
        display: none !important;
    }
}
@media (max-width: 767px) {
    .left-bar{
        width: 34px;
        margin-left: 3px;
        top:7%;
    }

    .with-left-bar{
        padding-left: 55px;
        padding-right: 20px;
        padding-top: 0px;
    }
}

@media (min-width: 768px){
    .left-bar-row{
         padding-left: 10px;
         padding-right: 10px;
    }
}
@media (max-width: 767px){
    .left-bar-row{
         padding-left: 5px;
         padding-right: 5px;
    }
}

@media print
{
    .hidden-print
    {
        display: none !important;
    }
}

